Time tracking
Upsert Time Tracking Schedule Template
Creates or updates a working-schedule template (name, country, days, active).
Not available to API keys yet. It will need time:write.
curl --request POST \
--url 'https://api.toku.com/hris/upsert-time-tracking-schedule-template' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"timeTrackingScheduleTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"name": "string",
"countryCode": "ABW",
"days": [
{
"dayOfWeek": 0,
"workStart": "string",
"workEnd": "string",
"breakStart": "string",
"breakEnd": "string"
}
],
"isActive": true
}'{
"timeTrackingScheduleTemplateID": "string"
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
timeTrackingScheduleTemplateIDstring<uuid>namestringrequiredAllowed: 1 to 120 characters
countryCodestring | nullAvailable options: ABW, AFG, AGO, AIA, ALA, ALB, AND, ARE, ARG, ARM, ASM, ATA, ATF, ATG, AUS, AUT, AZE, BDI, BEL, BEN, BES, BFA, BGD, BGR, BHR, BHS, BIH, BLR, BLZ, BMU, BOL, BRA, BRB, BRN, BTN, BVT, BWA, CAF, CAN, CCK, CHE, CHL, CHN, CIV, CMR, COD, COG, COK, COL, COM, CPV, CRI, CUB, CUW, CXR, CYM, CYP, CZE, DEU, DJI, DMA, DNK, DOM, DZA, ECU, EGY, ERI, ESH, ESP, EST, ETH, FIN, FJI, FLK, FRA, FRO, FSM, GAB, GBR, GEO, GGY, GHA, GIB, GIN, GLP, GMB, GNB, GNQ, GRC, GRD, GRL, GTM, GUF, GUM, GUY, HKG, HMD, HND, HRV, HTI, HUN, IDN, IMN, IND, IOT, IRL, IRN, IRQ, ISL, ISR, ITA, JAM, JEY, JOR, JPN, KAZ, KEN, KGZ, KHM, KIR, KNA, KOR, KWT, LAO, LBN, LBR, LBY, LCA, LIE, LKA, LSO, LTU, LUX, LVA, MAC, MAF, MAR, MCO, MDA, MDG, MDV, MEX, MHL, MKD, MLI, MLT, MMR, MNE, MNG, MNP, MOZ, MRT, MSR, MTQ, MUS, MWI, MYS, MYT, NAM, NCL, NER, NFK, NGA, NIC, NIU, NLD, NOR, NPL, NRU, NZL, OMN, PAK, PAN, PCN, PER, PHL, PLW, PNG, POL, PRI, PRK, PRT, PRY, PSE, PYF, QAT, REU, ROU, RUS, RWA, SAU, SDN, SEN, SGP, SGS, SHN, SJM, SLB, SLE, SLV, SMR, SOM, SPM, SRB, SSD, STP, SUR, SVK, SVN, SWE, SWZ, SXM, SYC, SYR, TCA, TCD, TGO, THA, TJK, TKL, TKM, TLS, TON, TTO, TUN, TUR, TUV, TWN, TZA, UGA, UKR, UMI, URY, USA, UZB, VAT, VCT, VEN, VGB, VIR, VNM, VUT, WLF, WSM, YEM, ZAF, ZMB, ZWE, null
daysobject[]requiredNOTE(ck): a .refine() rule is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it NOTE(ck): a .refine() rule on a nested schema is not mirrored here; TGA still enforces it
Allowed: 1 to 7 items
Show child attributes
dayOfWeekintegerrequiredAllowed: 1 to 7
workStartstringrequiredAllowed: matches ^([01]\d|2[0-3]):[0-5]\d$
workEndstringrequiredAllowed: matches ^([01]\d|2[0-3]):[0-5]\d$
breakStartstring | nullAllowed: matches ^([01]\d|2[0-3]):[0-5]\d$
breakEndstring | nullAllowed: matches ^([01]\d|2[0-3]):[0-5]\d$
isActivebooleanResponse
200Successful response
timeTrackingScheduleTemplateIDstringrequired